using PTMedicalInsurance.FormSetter;
using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace PTMedicalInsurance.Business.Core.Forms.DischargeAudit
{
    class GridViewSetter : GridViewSetterBase
    {
        public void setHisRegInfo(DataGridView dgv)
        {
            dgv.AutoGenerateColumns = false;
            dgv.Columns.Clear();
            AddDGVColumn(dgv, "分中心编号", "InsuranceAreaCode");
            AddDGVColumn(dgv, "姓名", "PatientName", 80);
            AddDGVColumn(dgv, "医保就诊号", "InsuRegID", 200);
            AddDGVColumn(dgv, "支付类别", "MedicalType");
            AddDGVColumn(dgv, "个人编号", "PersonalNO", 250);
            AddDGVColumn(dgv, "公民身份号码", "CertificateNO", 250);
            AddDGVColumn(dgv, "执行社会保险办法", "InsuType", 200);
            AddDGVColumn(dgv, "登记日期", "RegDate", 200);
            AddDGVColumn(dgv, "就诊科室", "AdmInDepName", 180);
            AddDGVColumn(dgv, "就诊ID", "Adm_Dr");
            AddDGVColumn(dgv, "主诊医生", "ChiefPhyDocName");
            dgv.ColumnHeadersDefaultCellStyle.Font = new Font("宋体", 9, FontStyle.Bold);
            dgv.ColumnHeadersHeight = 30;
        }

        public void setFeeDetailFormHeader(DataGridView dgv)
        {
            dgv.AutoGenerateColumns = false;
            dgv.Columns.Clear();
            AddDGVColumn(dgv, "费用发生时间", "fee_ocur_time",250);
            AddDGVColumn(dgv, "医保名称", "med_list_name", 200);
            AddDGVColumn(dgv, "医保编码", "med_list_codg", 200);
            AddDGVColumn(dgv, "院内名称", "medins_list_desc",200);
            AddDGVColumn(dgv, "院内编码", "medins_list_codg", 200);
            AddDGVColumn(dgv, "单价", "pric", 100);
            AddDGVColumn(dgv, "数量", "cnt", 100);
            AddDGVColumn(dgv, "总价", "det_item_fee_sumamt", 100);
            AddDGVColumn(dgv, "医院审批标志", "hosp_appr_flag", 100);
            AddDGVColumn(dgv, "规格", "spec",300);
            AddDGVColumn(dgv, "用法", "used_frqu_dscr",200);
            dgv.ColumnHeadersDefaultCellStyle.Font = new Font("宋体", 9, FontStyle.Bold);
            dgv.ColumnHeadersHeight = 30;
        }
    }
}
